<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Kursplanung\KursBearbeitenPlanung;

use Kufer\KuferTools\Dozent\Kursplanung\KursBearbeiten;
use Kufer\KuferTools\Dozent\Kursplanung\KursBearbeiten\KursBearbeitenViewModel;

class KursBearbeitenPlanungPresenter extends KursBearbeiten\KursBearbeitenPresenter
{
  protected function getNewViewModel(): KursBearbeitenViewModel
  {
    return new KursBearbeitenPlanungViewModel();
  }

  protected function getViewModel()
  {
    
    $result = parent::getViewModel();
    $result->canKursAbgeben = $this->useCaseResponse->canKursAbgeben;
    $result->kursAbgeben = $this->useCaseResponse->kursAbgeben;

    return $result;
  }

  protected function getView()
  {
    return new KursBearbeitenPlanungView($this->getViewModel());
  }
}